Aviso: La filosofía de este foro público de preguntas y respuestas, es que sea participativo. Pretendemos que la comunidad de usuarios de nuestros portátiles compartan su experiencia. Queremos ayudarles y a la vez recibir ayuda para mejorar. Gracias por participar, entre todos hacemos de este un lugar mejor.

 

Para más información sobre el sistema de puntos pulsa aquí


0

iniciado

Aplicacion Touchpad

David On Viernes, 19 Mayo 2017.
Categoría: Slimbook

Tengo instalado KDE Neon 5.8.6

He instentado instalar vuestra aplicacion de Touchpad y obtengo el siguiente problema por consola:

"Traceback (most recent call last):
  File "/usr/bin/slimbooktouchpad", line 17, in <module>
    from gi.repository import Gtk as Gtk
ImportError: cannot import name Gtk"

He instalado las librerias GTK, pero sigue dandome error. ¿A que puede ser debido?

 

Todas las respuestas

7 Respuestas.

0
STAFF

staff

Re:Aplicacion Touchpad
joanslimbook On Viernes, 19 Mayo 2017

Hola, a priori la aplicación esta pensada para Ubuntu. No obstante, descargandote las correspondientes librerias no deberia darte problemas.

¿Puedes indicarme el nombre y la versión de la libreria que te has descargado?

Saludos



0

iniciado

Re:Aplicacion Touchpad
David On Viernes, 19 Mayo 2017

He instalado GTK3.0 de los repositorios de Ubuntu



0
STAFF

staff

Re:Aplicacion Touchpad
joanslimbook On Viernes, 19 Mayo 2017

Hola, vamos a instalar KDE Neon y la aplicación para comprobarlo, ya te diremos algo.

Un saludo



0
STAFF

staff

Re:Aplicacion Touchpad
joanslimbook On Viernes, 19 Mayo 2017

Hola, acabo de finalizar las comprobaciones y con los siguientes comandos deberia funcionarte la aplicación

sudo apt-get install --reinstall python-gi
sudo apt-get install gir1.2-gtk-3.0
sudo apt-get install gir1.2-appindicator3-0.1
sudo apt-get install gir1.2-Notify

Un saludo



0

iniciado

Re:Aplicacion Touchpad
David On Viernes, 19 Mayo 2017

Hola, acabo de seguir tus instrucciones, pero me aparece lo siguiente:

 

/usr/bin/slimbooktouchpad:17: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk as Gtk
/usr/bin/slimbooktouchpad:18: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3 as appindicator
/usr/bin/slimbooktouchpad:19: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify as notify
1
Desactivado natural scrollingxinput --set-prop 11 "Evdev Scrolling Distance" 1 1 1

(slimbooktouchpad:11371): Gtk-WARNING **: Can't set a parent on widget which has a parent

 

Un saludo.



0
STAFF

staff

Re:Aplicacion Touchpad
joanslimbook On Viernes, 19 Mayo 2017

Hola, entonces ya ha iniciado la aplicación y esta funcionando, la tendras en la barra a tu derecha en forma de icono de mano verde.

Un saludo



0

iniciado

Re:Aplicacion Touchpad
David On Viernes, 19 Mayo 2017

Lo acabo de conseguir hacer funcionar. He desinstalado las librerias GTK y he vuelto a realizar el proceso.

Muchas gracias por la ayuda!